Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.admin
Class AdminServer

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.httpd
            |
            +--org.w3c.jigsaw.admin.AdminServer

public class AdminServer
extends httpd

Field Summary
`protected GenericAuthFilter` | `auth`
`protected ResourceBroker` | `broker`
`protected ControlResource` | `controlConfig`
`protected ResourceFilter[]` | `filters`
`protected RealmsCatalog` | `realms` The realm catalog of the admin server, hardcoded as "adminRealms.db"
`protected AbstractContainer` | `root`
`protected ResourceReference` | `rr_controlConfig`
`protected ResourceReference` | `rr_realms`
`protected ResourceReference` | `rr_root`
`protected Serializer` | `serializer`
`protected ServerHandlerManager` | `shm`
`protected org.w3c.jigsaw.admin.AdminWriter` | `writer`

Fields inherited from class org.w3c.jigsaw.http.httpd
`CHECKURL_P, CLIENT_BUFSIZE_P, CLIENT_DEBUG_P, CLIENT_FACTORY_P, CLIENT_PRIORITY_P, CONFIG_P, debug, DEFHOSTIP_P, DISPLAY_URL_ON_ERROR_P, DOCURL_P, EDIT_ROOT_P, FS_SENSITIVITY, host, HOST_P, instances, KEEP_ALIVE_P, KEEP_TIMEOUT_P, LENIENT_P, LOGGER_P, MAX_LOADED_STORE, MAX_LOADED_STORE_P, port, PORT_P, props, PROPS_P, PUBLIC_P, REQUEST_TIMEOUT_P, root, ROOT_CLASS_P, ROOT_NAME_P, ROOT_P, SERIALIZER_CLASS_P, SERVER_GROUP_P, SERVER_SOFTWARE_P, SERVER_USER_P, SHUFFLER_PATH_P, SPACE_P, STARTUP_P, STORE_SIZE_LIMIT, STORE_SIZE_LIMIT_P, thread, timer, TRACE_P, TRASHDIR_P, url, USE_SM_P, verscount, VERSCOUNT_P, version`

Constructor Summary
`AdminServer()`

Method Summary
`protected void` | `addFilter(ResourceFilter filter, java.util.Hashtable defs)`
`protected java.lang.String` | `getBanner()`
`ResourceReference` | `getConfigResource()` get this server config resource
`ResourceReference` | `getControlResource()`
`ResourceReference` | `getRealmCatalogResource()`
`RealmsCatalog` | `getRealmsCatalog()` Get this server realm catalog.
`FramedResource` | `getRoot()` Get the server current root resource.
`ResourceReference` | `getRootReference()` get the resource reference of the root resource of the server
`void` | `initialize(ServerHandlerManager shm, java.lang.String identifier, ObservableProperties props)` Initialize the Server
`protected void` | `initializeAuth()`
`ReplyInterface` | `perform(RequestInterface req)` Perform the request
`Reply` | `remoteLoadRoot(Request request)` Load the remote Root.

Methods inherited from class org.w3c.jigsaw.http.httpd
`checkFileSystemSensitivity, checkpoint, checkUpgrade, cleanTempDirectory, cleanup, clone, debug, enumeratePropertySet, errlog, errlog, errlog, errlog, fatal, fatal, getAuthDirectory, getClientBufferSize, getClientDebug, getClientKeepConnection, getClientThreadPriority, getConfigDirectory, getConnectionTimeOut, getDefaultContext, getDocumentationURL, getEditRoot, getHost, getHTMLStatus, getIdentifier, getIndexerDirectory, getIndexersCatalog, getInetAddress, getLocalPort, getLogger, getMimeClientFactory, getPort, getProperties, getPropertySet, getRequestTimeOut, getResourceSpace, getResourceStoreManager, getRootDirectory, getShuffler, getSoftware, getSpaceDir, getStatistics, getStoreDirectory, getTempDirectory, getTrashDirectory, getURL, initializeProperties, initializePropertySets, isLenient, loadResource, loadRoot, loadStartupClasses, log, log, main, propertyChanged, registerPropertySet, restart, run, shutdown, start, startCheckpoint, trace, trace, usage, warning, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### broker

    protected ResourceBroker broker

### shm

    protected ServerHandlerManager shm

### writer

    protected org.w3c.jigsaw.admin.AdminWriter writer

### root

    protected AbstractContainer root

### rr_root

    protected ResourceReference rr_root

### controlConfig

    protected ControlResource controlConfig

### rr_controlConfig

    protected ResourceReference rr_controlConfig

### auth

    protected GenericAuthFilter auth

### serializer

    protected Serializer serializer

### filters

    protected ResourceFilter[] filters

### realms

    protected RealmsCatalog realms

  The realm catalog of the admin server, hardcoded as "adminRealms.db"

### rr_realms

    protected ResourceReference rr_realms

Constructor Detail

### AdminServer

    public AdminServer()

Method Detail

### getRealmsCatalog

    public RealmsCatalog getRealmsCatalog()

  Description copied from class: httpd
  Get this server realm catalog.
  Overrides:
    getRealmsCatalog in class httpd

### getBanner

    protected java.lang.String getBanner()

  Overrides:
    getBanner in class httpd

### getConfigResource

    public ResourceReference getConfigResource()

  Description copied from class: httpd
  get this server config resource
  Overrides:
    getConfigResource in class httpd
  Tags copied from interface: ServerHandler
  Returns:
    A ContainerResource instance.

### getRealmCatalogResource

    public ResourceReference getRealmCatalogResource()

### getControlResource

    public ResourceReference getControlResource()

### remoteLoadRoot

    public Reply remoteLoadRoot(Request request)
                         throws ProtocolException

  Load the remote Root.
  Parameters:
    `request` - The incomming request.
  Throws:
    ProtocolException - if a protocol error occurs.

### perform

    public ReplyInterface perform(RequestInterface req)
                           throws ProtocolException,
                                  ResourceException

  Perform the request
  Overrides:
    perform in class httpd
  Parameters:
    `req` - the request.
  Throws:
    ProtocolException - if a protocol error occurs
    ResourceException - if a server error occurs

### getRoot

    public FramedResource getRoot()

  Description copied from class: httpd
  Get the server current root resource.
  Overrides:
    getRoot in class httpd

### getRootReference

    public ResourceReference getRootReference()

  Description copied from class: httpd
  get the resource reference of the root resource of the server
  Overrides:
    getRootReference in class httpd

### initializeAuth

    protected void initializeAuth()

### addFilter

    protected void addFilter(ResourceFilter filter,
                             java.util.Hashtable defs)

### initialize

    public void initialize(ServerHandlerManager shm,
                           java.lang.String identifier,
                           ObservableProperties props)
                    throws ServerHandlerInitException

  Initialize the Server
  Overrides:
    initialize in class httpd
  Throws:
    ServerHandlerInitException - if it can't be initialized

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD